curl --request GET \
--url https://external-api.kalshi.com/trade-api/v2/portfolio/positions \
--header 'KALSHI-ACCESS-KEY: <api-key>' \
--header 'KALSHI-ACCESS-SIGNATURE: <api-key>' \
--header 'KALSHI-ACCESS-TIMESTAMP: <api-key>'import requests
url = "https://external-api.kalshi.com/trade-api/v2/portfolio/positions"
headers = {
"KALSHI-ACCESS-KEY": "<api-key>",
"KALSHI-ACCESS-SIGNATURE": "<api-key>",
"KALSHI-ACCESS-TIMESTAMP": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {
'KALSHI-ACCESS-KEY': '<api-key>',
'KALSHI-ACCESS-SIGNATURE': '<api-key>',
'KALSHI-ACCESS-TIMESTAMP': '<api-key>'
}
};
fetch('https://external-api.kalshi.com/trade-api/v2/portfolio/positions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"market_positions": [
{
"ticker": "<string>",
"exchange_index": 0,
"total_traded_dollars": "0.5600",
"position_fp": "10.00",
"market_exposure_dollars": "0.5600",
"realized_pnl_dollars": "0.5600",
"fees_paid_dollars": "0.5600",
"last_updated_ts": "2023-11-07T05:31:56Z"
}
],
"event_positions": [
{
"event_ticker": "<string>",
"total_cost_dollars": "0.5600",
"total_cost_shares_fp": "10.00",
"event_exposure_dollars": "0.5600",
"realized_pnl_dollars": "0.5600",
"fees_paid_dollars": "0.5600"
}
],
"cursor": "<string>"
}{
"code": "<string>",
"message": "<string>",
"details": "<string>"
}{
"code": "<string>",
"message": "<string>",
"details": "<string>"
}{
"code": "<string>",
"message": "<string>",
"details": "<string>"
}Get Positions
Restricts the positions to those with any of following fields with non-zero values, as a comma separated list. The following values are accepted: position, total_traded
Authorizations
Your API key ID
RSA-PSS signature of the request
Request timestamp in milliseconds
Query Parameters
The Cursor represents a pointer to the next page of records in the pagination. Use the value returned from the previous response to get the next page.
Parameter to specify the number of results per page. Defaults to 100.
1 <= x <= 1000Restricts the positions to those with any of following fields with non-zero values, as a comma separated list. The following values are accepted - position, total_traded
Filter by market ticker
Event ticker to filter by. Only a single event ticker is supported.
Subaccount number (0 for primary, 1-63 for subaccounts). Defaults to 0.
Filter results by exchange shard. Omit to return results from all exchange shards.
x >= 0Response
Positions retrieved successfully
List of market positions
Show child attributes
Show child attributes
List of event positions
Show child attributes
Show child attributes
The Cursor represents a pointer to the next page of records in the pagination. Use the value returned here in the cursor query parameter for this end-point to get the next page containing limit records. An empty value of this field indicates there is no next page.